Error with npm itself

What I Wanted to Do

I want to install vue-cli with npm

sudo npm install -g vue-cli

What Happened Instead

It returns error like this

npm WARN registry Unexpected warning for https://registry.npmjs.org/: Miscellaneous Warning ENETUNREACH: request to https://registry.npmjs.org/vue-cli failed, reason: connect ENETUNREACH 104.16.19.35:443 - Local (0.0.0.0:0)
npm WARN registry Using stale data from https://registry.npmjs.org/ due to a request error during revalidation.
npm WARN deprecated coffee-script@1.12.7: CoffeeScript on NPM has moved to "coffeescript" (no hyphen)
npm ERR! cb() never called!

npm ERR! This is an error with npm itself. Please report this error at:
npm ERR!     <https://npm.community>

npm ERR! A complete log of this run can be found in:
npm ERR!     /home/dimaswehhh/.npm/_logs/2019-06-17T06_15_45_216Z-debug.log

Platform Info

$ npm --versions
6.4.1
$ node -p process.platform
linux

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.